##############################################################################
#
# Copyright (c) 2007 Zope Foundation and Contributors.
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################
"""Setup

$Id: setup.py 81198 2007-10-30 08:08:29Z icemac $
"""
import os
import xml.sax.saxutils
from setuptools import setup, find_packages

def read(*rnames):
    text = open(os.path.join(os.path.dirname(__file__), *rnames)).read()
    return xml.sax.saxutils.escape(text)

chapters = read('README.txt')

setup (
    name='session-issue',
    version='0.0.0',
    author = "Daniel Blackburn",
    author_email = "",
    description = "problem demo",
    long_description=('problems' ),
    license = "",
    keywords = "problems",
    classifiers = [
        'Framework :: Zope3'],
    url = '',
    packages = find_packages('src'),
    include_package_data = True,
    package_dir = {'':'src'},
    namespace_packages = ['pc'],
    extras_require = dict(
        demo = ['zope.app.securitypolicy',
                'zope.app.session',
                'zope.app.twisted',
                'zope.app.zcmlfiles'],
        adding = ['zope.app.container'],
        ),
    install_requires = [
        'setuptools',
        'zc.configuration',
        'zope.publisher',
        'zope.component',
        'zope.interface',
        'zope.app.zapi',
        'zope.session',
        ],
    dependency_links = ['http://download.zope.org/distribution'],
    zip_safe = False,
    )
